## Apache Zeta Components Manual :: File Source for result_cookie.php

## Source for file result_cookie.php

Documentation is available at result_cookie.php

1. <?php
2. /**
3. * File containing the ezcMvcResultCookie class
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
23. * @version //autogentag//
24. * @filesource
25. * @package MvcTools
26. */
28. /**
29. * This struct contains cookie arguments
30. *
31. * @package MvcTools
32. * @version //autogentag//
33. */
34. class ezcMvcResultCookie extends ezcBaseStruct
35. {
36. /**
37. * Cookie name
38. *
39. * @var string
40. */
41. public $name ;
43. /**
44. * Cookie value
45. *
46. * @var string
47. */
48. public $value ;
50. /**
51. * Expiry date
52. *
53. * @var DateTime
54. */
55. public $expire ;
57. /**
58. * Cookie path
59. *
60. * @var string
61. */
62. public $path ;
64. /**
65. * Cookie domain
66. *
67. * @var string
68. */
69. public $domain ;
71. /**
72. * Whether it is a "secure" cookie
73. *
74. * @var boolean
75. */
76. public $secure ;
78. /**
79. * Whether it is a "HTTP-only" cookie
80. *
81. * @var boolean
82. */
83. public $httpOnly ;
85. /**
86. * Constructs a new ezcMvcResultCache.
87. *
88. * @param string $name
89. * @param string $value
90. * @param DateTime $expire
91. * @param string $path
92. * @param string $domain
93. * @param bool $secure
94. * @param bool $httpOnly
95. */
96. public function __construct ( $name = '', $value = '',
97. DateTime $expire = null, $path = '', $domain = '', $secure = false,
98. $httpOnly = false )
99. {
100. $this-> name = $name;
101. $this-> value = $value;
102. $this-> expire = $expire;
103. $this-> path = $path;
104. $this-> domain = $domain;
105. $this-> secure = $secure;
106. $this-> httpOnly = $httpOnly;
107. }
109. /**
110. * Returns a new instance of this class with the data specified by $array.
111. *
112. * $array contains all the data members of this class in the form:
113. * array('member_name'=>value).
114. *
115. * __set_state makes this class exportable with var_export.
116. * var_export() generates code, that calls this method when it
117. * is parsed with PHP.
118. *
119. * @param array(string=>mixed) $array
120. * @return ezcMvcResultCache
121. */
122. static public function __set_state ( array $array )
123. {
124. return new ezcMvcResultCookie( $array['name'], $array['value'],
125. $array['expire'], $array['path'], $array['domain'],
126. $array['secure'], $array['httpOnly'] );
127. }
128. }
129. ?>

Documentation generated by phpDocumentor 1.4.3